import request from "@/utils/request";

export function getCorp(data) {
  return request({
    url: "/api/admin/corp",
    method: "get",
    params: data
  });
}

export function addCorp(data) {
  return request({
    url: "/api/admin/corp",
    method: "post",
    data
  });
}

export function deleteCorp(data) {
  return request({
    url: `/api/admin/corp/${data.id}`,
    method: "delete"
  });
}

export function getCorpById(id) {
  return request({
    url: `/api/admin/corp/get/${id}`,
    method: "get"
  });
}

export function editCorpById(data) {
  return request({
    url: `/api/admin/corp/${data.id}`,
    method: "post",
    data
  });
}

export function upload(data) {
  return request({
    url: `/upload`,
    method: "post",
    data,
    cache: false,
    processData: false,
    contentType: false,
    headers: { "Content-Type": "application/x-www-form-urlencoded" }
  });
}
