import request from "@/utils/request";

export function getUserList(params) {
  return request({
    url: `/api/admin/user`,
    method: "get",
    params
  });
}

export function addUser(data) {
  return request({
    url: `/api/admin/user`,
    method: "post",
    data
  });
}

export function deleteUserById(id) {
  return request({
    url: `/api/admin/user/${id}`,
    method: "delete"
  });
}

export function getEditUserInfo(id) {
  return request({
    url: `/api/admin/user/${id}`,
    method: "get"
  });
}

export function editUser(data) {
  return request({
    url: `/api/admin/user/${data.id}`,
    method: "post",
    data
  });
}

export function resetUser(params) {
  return request({
    url: `/api/admin/user/reSetPassword`,
    method: "get",
    params
  });
}

// export function addUserRole(data) {
//   return request({
//     url: `/v1/system/user-role/`,
//     method: "post",
//     data
//   });
// }

// export function editUserRole(data) {
//   return request({
//     url: `/v1/system/user-role/updateByUserId`,
//     method: "post",
//     data
//   });
// }
