export let timeFilter = function(time) {
  const date = time.split(" ");
  const dateYMD = date[0].split("-");
  const year = parseInt(dateYMD[0], 10);
  const month = parseInt(dateYMD[1], 10) - 1;
  const day = parseInt(dateYMD[2], 10);

  const dateHMS = date[1].split(":");
  const hour = parseInt(dateHMS[0], 10);
  const minute = parseInt(dateHMS[1], 10);
  const second = parseInt(dateHMS[2], 10);

  return new Date(year, month, day, hour, minute, second);
};

let filterToday = function(num) {
  return num < 10 ? "0" + num : num;
};

export let today = function(time) {
  const date = new Date(time);
  let year = date.getFullYear();
  let month = filterToday(date.getMonth() + 1);
  let day = filterToday(date.getDate());

  let hour = filterToday(date.getHours());
  let minute = filterToday(date.getMinutes());
  let second = filterToday(date.getSeconds());

  return `${year}-${month}-${day} ${hour}:${minute}:${second}`;
};
